Bug 1103156 - [RFE] bkr system-release to support releasing more hosts at once
Summary: [RFE] bkr system-release to support releasing more hosts at once
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.17.1
Assignee: Amit Saha
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-30 11:44 UTC by David Kutálek
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 08:17:40 UTC


Attachments (Terms of Use)

Description David Kutálek 2014-05-30 11:44:26 UTC
Description of problem:

As discussed in https://bugzilla.redhat.com/show_bug.cgi?id=639938#c30 it would enhance user comfort to be able to release more hosts at once.
Typical use case would be issuing these two commands:

cssh -l root fqdn1 fqdn2 ... fqdn5
bkr system-release fqdn1 fqdn2 ... fqdn5

Version-Release number of selected component (if applicable):

beaker-client-0.16.2-1.el6eng.noarch

How reproducible:

Always

Steps to Reproduce:
1. bkr system-release a.b b.b c.b
2.
3.

Actual results:

$ bkr system-release a.b b.b c.b
Usage: bkr system-release [options] <fqdn>

bkr: error: Exactly one system fqdn must be given


Expected results:

All three hosts released.


Additional info:

Comment 2 Nick Coghlan 2014-06-02 05:01:30 UTC
As per the discussion in the other bug, this seems like a reasonable harness independent replacement for being able to issue a "return2beaker.sh" command across multiple hosts at once via ssh when using the reservesys task.

Comment 3 Dan Callaghan 2014-06-17 08:09:26 UTC
We can do this easily enough with a loop in the client command. It wouldn't be atomic or anything fancy though.

Comment 4 Amit Saha 2014-06-18 10:39:42 UTC
Patch: http://gerrit.beaker-project.org/#/c/3154/

Comment 7 Dan Callaghan 2014-07-18 08:17:40 UTC
Beaker 0.17.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.